## Apache Zeta Components Manual :: Docs For Class ezcPersistentIdentityMissingException

### PersistentObject::ezcPersistentIdentityMissingException

### Class ezcPersistentIdentityMissingException

Exception thrown if an identity is expected to be recorded, but is not found.

ezcPersistentIdentityMap::addRelatedObject() will throw this exception, if the identity of the source or of the related object does not exist. In addition ezcPersistentIdentityMap::removeRelatedObject() if its source object identity is not found.

Source for this file: /PersistentObject/src/exceptions/identity_missing.php

    Exception
       |
       --ezcBaseException
          |
          --ezcPersistentObjectException
             |
             --ezcPersistentIdentityMissingException

Version: | //autogen//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcPersistentIdentityMissingException | `__construct( $class , $id , $relatedClass , $relationName )` Creates a new ezcPersistentIdentityMissingException.

### Inherited Methods

From ezcPersistentObjectException
public void | `ezcPersistentObjectException::__construct()` Constructs a new ezcPersistentObjectException with error message $message and reason code $reason.
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcPersistentIdentityMissingException __construct( string $class , mixed $id , string $relatedClass , string $relationName )

Creates a new ezcPersistentIdentityMissingException.

Creates a new ezcPersistentIdentityMissingException for the object of $class with ID $id.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$class` | string |
`$id` | mixed |
`$relatedClass` | string |
`$relationName` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcPersistentObjectException::__construct()` | Constructs a new ezcPersistentObjectException with error message $message and reason code $reason.

Documentation generated by phpDocumentor 1.4.3